import request from '@/utils/request'

// 查询模型组件管理列表
export function listModelComponent(query) {
  return request({
    url: '/hnyz/modelComponent/list',
    method: 'get',
    params: query
  })
}

// 查询模型组件管理详细
export function getModelComponent(modelId) {
  return request({
    url: '/hnyz/modelComponent/' + modelId,
    method: 'get'
  })
}

// 新增模型组件管理
export function addModelComponent(data) {
  return request({
    url: '/hnyz/modelComponent',
    method: 'post',
    data: data
  })
}

// 修改模型组件管理
export function updateModelComponent(data) {
  return request({
    url: '/hnyz/modelComponent',
    method: 'put',
    data: data
  })
}

// 删除模型组件管理
export function delModelComponent(modelId) {
  return request({
    url: '/hnyz/modelComponent/' + modelId,
    method: 'delete'
  })
}

//获取模型select列表
export function getModelSelectList() {
  return request({
    url: '/hnyz/modelComponent/getModelSelectList',
    method: 'get'
  })
}